---
title: '::selection'
slug: 'Web/CSS/::selection'
tags:
  - CSS
  - Layout
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>::selection</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> applies styles to the part of a document that has been highlighted by the user (such as clicking and dragging the mouse across text).</span></p>

<pre class="brush: css no-line-numbers notranslate">::selection {
  background-color: cyan;
}</pre>

<h2 id="Allowable_properties">Allowable properties</h2>

<p>Only certain CSS properties can be used with <code>::selection</code>:</p>

<ul>
 <li>{{CSSxRef("color")}}</li>
 <li>{{CSSxRef("background-color")}}</li>
 <li>{{CSSxRef("cursor")}}</li>
 <li>{{CSSxRef("caret-color")}}</li>
 <li>{{CSSxRef("outline")}} and its longhands</li>
 <li>{{CSSxRef("text-decoration")}} and its associated properties</li>
 <li>{{CSSxRef("text-emphasis-color")}}</li>
 <li>{{CSSxRef("text-shadow")}}</li>
</ul>

<div class="warning">
<p>In particular, {{CSSxRef("background-image")}} is ignored.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">/* Legacy Firefox syntax (version 61 and below) */
::-moz-selection

{{CSSSyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">This text has special styles when you highlight it.
&lt;p&gt;Also try selecting text in this paragraph.&lt;/p&gt;</pre>

<h3 id="CSS">CSS</h3>

<div class="hidden">
<pre class="brush: css notranslate">::-moz-selection {
  color: gold;
  background-color: red;
}

p::-moz-selection {
  color: white;
  background-color: blue;
}</pre>
</div>

<pre class="brush: css notranslate">/* Make selected text gold on a red background */
::selection {
  color: gold;
  background-color: red;
}

/* Make selected text in a paragraph white on a blue background */
p::selection {
  color: white;
  background-color: blue;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><strong>Don't override selected text styles for purely aesthetic reasons</strong> — users can customize them to suit their needs. For people experiencing cognitive concerns or who are less technologically literate, unexpected changes to selection styles may hurt their understanding of the functionality.</p>

<p>If overridden, it is important to ensure that the <strong>contrast ratio</strong> between the text and background colors of the selection is high enough that people experiencing low vision conditions can read it.</p>

<p>Color contrast ratio is found by comparing the luminosity of the selected text and the selected text background colors. To meet current <a href="https://www.w3.org/WAI/intro/wcag">Web Content Accessibility Guidelines (WCAG)</a>, text content must have a contrast ratio of <strong>4.5:1</strong>, or 3:1 for larger text such as headings. (WCAG defines large text as between <code>18.66px</code> and <code>24px</code> and <a href="/en-US/docs/Web/CSS/font-weight">bold</a>, or <code>24px</code> or larger.)</p>

<ul>
 <li><a href="https://webaim.org/resources/contrastchecker/">WebAIM: Color Contrast Checker</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-contrast.html">Understanding Success Criterion 1.4.3 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#selectordef-selection', '::selection')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note:</strong> <code>::selection</code> was in drafts of CSS Selectors Level 3, but it was removed in the Candidate Recommendation phase because its was under-specified (especially with nested elements) and interoperability wasn't achieved <a class="external" href="http://lists.w3.org/Archives/Public/www-style/2008Oct/0268.html">(based on discussion in the W3C Style mailing list)</a>. It returned in <a href="http://dev.w3.org/csswg/css-pseudo-4/">Pseudo-Elements Level 4</a>.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.selection")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>
  <p>{{cssxref("pointer-events")}} - control which events are active on the element</p>
 </li>
</ul>
